#ifndef DIGIPOT_H_
#define DIGIPOT_H_

#include "Wire.h"

class C_DigiPot {
   public:
    C_DigiPot() { ; }

    void Init();
    void SetWiper(uint8_t val);

   private:
    static const uint8_t POT_ADDRESS = 0x3C;
    static const uint8_t POT_WIPER_WRITE = 0x00;  //wiper addr + write cmd + 0b00 of 10b value

    static const uint8_t POT_MAX = 127;
};

#endif